polybori::default_binder2nd< BinaryFunction > Class Template Reference

`#include <pbori_func.h>`

Inheritance diagram for polybori::default_binder2nd< BinaryFunction >:

## Public Types

typedef default_binder_base< std::binder2nd, BinaryFunction, typename BinaryFunction::second_argument_type > | base
Public Types inherited from polybori::default_binder_base< std::binder2nd, BinaryFunction, BinaryFunction::second_argument_type >
typedef BinaryFunction | bin_op
typedef std::binder2nd< bin_op > | base
typedef BinaryFunction::second_argument_type | value_type

## Public Member Functions

| default_binder2nd (const typename base::value_type &val)
Public Member Functions inherited from polybori::default_binder_base< std::binder2nd, BinaryFunction, BinaryFunction::second_argument_type >
| default_binder_base (const value_type &val)

## Member Typedef Documentation

template<class BinaryFunction >

typedef default_binder_base<std::binder2nd, BinaryFunction, typename BinaryFunction::second_argument_type> polybori::default_binder2nd< BinaryFunction >::base

## Constructor & Destructor Documentation

template<class BinaryFunction >

polybori::default_binder2nd< BinaryFunction >::default_binder2nd | ( | const typename base::value_type & | val | ) |

inline

The documentation for this class was generated from the following file:

- pbori_func.h